%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jbossws-cxf
Version:          4.2.3
Release:          1%{?dist}
Summary:          JBoss Web Services CXF stack
License:          LGPLv2+
URL:              http://www.jboss.org/jbossws

Source0:          http://download.jboss.org/jbossws/jbossws-cxf-%{namedversion}-src.zip

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-dependency-plugin
BuildRequires:    maven-plugin-build-helper
BuildRequires:    jaxws-jboss-httpserver-httpspi
BuildRequires:    jboss-jms-1.1-api
BuildRequires:    jboss-ejb-3.1-api
BuildRequires:    jboss-jaxb-2.2-api
BuildRequires:    jboss-saaj-1.3-api
BuildRequires:    jbossws-parent
BuildRequires:    jbossws-spi
BuildRequires:    jbossws-common-tools
BuildRequires:    jboss-logging-tools
BuildRequires:    jboss-common-core
BuildRequires:    picketbox
BuildRequires:    cxf
BuildRequires:    cxf-services
BuildRequires:    cxf-xjc-utils
BuildRequires:    opensaml-java-parent
BuildRequires:    jbossws-common
BuildRequires:    msv-xsdlib

%description
JBoss Web Services CXF integration stack

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jbossws-cxf-src-dist

%pom_remove_dep "org.springframework:spring-asm" modules/addons/transports/http/httpserver/pom.xml
%pom_remove_dep "org.springframework:spring-asm" modules/client/pom.xml
%pom_remove_dep "org.springframework:spring-asm" modules/server/pom.xml

# Available in JDK
%pom_remove_dep "javax.jws:jsr181-api" modules/client/pom.xml
%pom_remove_dep "javax.jws:jsr181-api" modules/server/pom.xml

%pom_disable_module modules/testsuite

%pom_remove_plugin :maven-enforcer-plugin modules/client/pom.xml
%pom_remove_plugin :maven-enforcer-plugin modules/server/pom.xml

%build
%mvn_package :::wildfly*: __default
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc

%changelog
* Wed Jul 02 2014 Marek Goldmann <mgoldman@redhat.com> - 4.2.3-1
- Upstream release 4.2.3.Final

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Oct 01 2013 Marek Goldmann <mgoldman@redhat.com> - 4.2.0-2
- Add the classifiers jars to the main package

* Fri Sep 13 2013 Marek Goldmann <mgoldman@redhat.com> - 4.2.0-1
- Upstream release 4.2.0.Final

* Tue Aug 06 2013 Marek Goldmann <mgoldman@redhat.com> - 4.2.0-0.2.CR1
- Missing BR

* Mon Aug 05 2013 Marek Goldmann <mgoldman@redhat.com> - 4.2.0-0.1.CR1
- Upstream release 4.2.0.CR1
- New guidelines

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 4.1.0-3
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Nov 22 2012 Marek Goldmann <mgoldman@redhat.com> - 4.1.0-2
- Fix the cxf version after downgrade

* Tue Nov 13 2012 Marek Goldmann <mgoldman@redhat.com> - 4.1.0-1
- Upstream release 4.1.0.Final

* Fri Oct 19 2012 Marek Goldmann <mgoldman@redhat.com> - 4.0.2-3
- Added server, client modules
- Added javadocs subpackage

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 03 2012 Marek Goldmann <mgoldman@redhat.com> 4.0.2-1
- Initial packaging

